#!/bin/bash
if [ ! -d "./BDWareProjectDir" ]; then
  mkdir ./BDWareProjectDir
fi
if [ ! -d "./ContractDB" ]; then
  mkdir ./ContractDB
fi

if [ ! -d "./ContractManagerDB" ]; then
  mkdir ./ContractManagerDB
fi

if [ ! -d "./log" ]; then
  mkdir ./log
fi

if [ ! -d "./manager.key" ]; then
  echo "missing manager.key! automatically generate!"
  java -cp cp/libs:cp/yjs.jar org.bdware.sc.SM2Helper generateKeyToFile
fi

if [ ! -d "./cp" ]; then
  echo "missing cp dir!"
  exit 1
fi

export CURDIR=`pwd`/bdcontract

docker run -p 21030-21033:21030-21033 -v $CURDIR/BDWareProjectDir:/bdcontract/BDWareProjectDir \
  -v $CURDIR/ContractDB:/bdcontract/ContractDB \
  -v $CURDIR/ContractManagerDB:/bdcontract/ContractManagerDB \
  -v $CURDIR/cmconfig.json:/bdcontract/cmconfig.json \
  -v $CURDIR/cp:/bdcontract/cp: \
  -v $CURDIR/keys:/bdcontract/keys: \
  -v $CURDIR/log:/bdcontract/log \
  -v $CURDIR/manager.key:/bdcontract/manager.key: \
  -d bdware/bdcontract:latest
